<template>
  <div class="cta-subscription cta">
    <div
      class="cta_banner"
      :style="{
        backgroundImage: 'url(' + backgroundImage + ')'
      }"
    >
      <div class="cta_inner trunk">
        <div class="cta_content-left">
          <h2 class="heading--xl--cta heading--white">
            {{ $t('cta.subscription.title') }}
          </h2>
        </div>
        <div class="cta_content-right">
          <p
            class="text--md text--primary cta_content-text"
            v-html="$t('cta.subscription.text-1')"
          >
            <i class="icon icon-check"></i>
          </p>
          <p
            class="text--md text--primary cta_content-text"
            v-html="$t('cta.subscription.text-2')"
          >
            <i class="icon icon-check"></i>
          </p>
          <p
            class="text--md text--primary cta_content-text"
            v-html="$t('cta.subscription.text-3')"
          >
            <i class="icon icon-check"></i>
          </p>
          <p
            class="text--md text--primary cta_content-text"
            v-html="$t('cta.subscription.text-4')"
          >
            <i class="icon icon-check"></i>
          </p>
          <a
            :href="subscriptionUrl"
            @click.prevent="
              $utils.gtmEvent(
                {
                  event: 'gtm.event',
                  EventCategory: 'Clic_Bouton',
                  EventAction: 'Abonnement',
                  EventLabel: 'J-en-profite-gratuitement'
                },
                subscriptionUrl
              )
            "
          >
            <AppButton>
              {{ $t('cta.subscription.btn') }}
            </AppButton>
          </a>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import AppButton from '@/components/ui/AppButton'

export default {
  name: 'CtaSubscriptionSection',
  components: {
    AppButton
  },
  computed: {
    subscriptionUrl() {
      const url = this.$utils.getSubscribeUrlForLang(this.$i18n.locale)
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/${url}`
    },
    backgroundImage() {
      return require(`~/assets/images/home-slide-subscription.jpg`)
    }
  }
}
</script>
<style lang="scss" scoped>
.cta-subscription .cta {
  &_banner {
    width: 100%;
    height: 505px;
    background-repeat: no-repeat;
    position: relative;
    background-size: cover;
    background-position: center;
    @include screen-size(md) {
      height: auto;
      padding: 40px 0;
    }
  }
  &_inner {
    display: flex;
    height: 100%;
    align-items: center;
    justify-content: space-between;
    @include screen-size(md) {
      flex-direction: column;
    }
  }
  &_content {
    &-left {
      max-width: 452px;
      @include screen-size(md) {
        max-width: 335px;
        text-align: center;
        margin-bottom: 100px;
      }
    }
    &-right {
      width: 360px;
      // height: 381px;
      background: $color-white;
      padding: 28px 46px;
      padding-right: 0;
      .button {
        margin-top: 30px;
      }
      .heading--lg--cta {
        max-width: 279px;
        margin-bottom: 30px;
      }
      @include screen-size(md) {
        width: 100%;
        height: auto;
        padding: 30px 34px;
      }
    }
    &-text {
      margin-top: 12px;
      i {
        margin-right: 12px;
      }
    }
  }
}
</style>
